<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Registrodecuentas{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar registro
//idregistrodecuentas	idusuario	idbancocuenta	detalle	monto	montod	tasa	fecha	estado	

public function insertar($idusuario,$idbancocuenta,$detalle,$monto,$montod,$tasa_dollar,$fecha_hora,$tiporegistro,$idcategoriainterbank){
	$sql="INSERT INTO registrodecuentas (idusuario,idbancocuenta,detalle,monto,montod,tasa,fecha,estado,tiporegistro,idcategoriainterbank) VALUES ('$idusuario','$idbancocuenta','$detalle','$monto','$montod','$tasa_dollar','$fecha_hora','Procesado','$tiporegistro','$idcategoriainterbank')";
	return ejecutarConsulta($sql);
}

public function editar($idregistrodecuentas,$idusuario,$idbancocuenta,$detalle,$monto,$montod,$tasa_dollar,$fecha_hora,$tiporegistro,$idcategoriainterbank){
	$sql="UPDATE registrodecuentas SET idusuario='$idusuario',idbancocuenta='$idbancocuenta',detalle='$detalle',monto='$monto',montod='$montod',tasa='$tasa_dollar',fecha='$fecha_hora',tiporegistro='$tiporegistro',idcategoriainterbank='$idcategoriainterbank' WHERE idregistrodecuentas='$idregistrodecuentas'";
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idregistrodecuentas){
	$sql="DELETE FROM registrodecuentas WHERE idregistrodecuentas='$idregistrodecuentas'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idregistrodecuentas){
	$sql="SELECT * FROM registrodecuentas WHERE idregistrodecuentas='$idregistrodecuentas'";
	return ejecutarConsultaSimpleFila($sql);
}

public function desactivar($idregistrodecuentas){
	$sql="UPDATE registrodecuentas SET estado='Deshabilito' WHERE idregistrodecuentas='$idregistrodecuentas'";
	return ejecutarConsulta($sql);
}

public function activar($idregistrodecuentas){
	$sql="UPDATE registrodecuentas SET estado='Procesado' WHERE idregistrodecuentas='$idregistrodecuentas'";
	return ejecutarConsulta($sql);
}

//metodo para buscar un cliente
public function buscarcliente($tipo_documento,$num_documento){
	$sql="SELECT * FROM registrodecuentas WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Cliente'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un proveedor
public function buscarproveedor($tipo_documento,$num_documento){
	$sql="SELECT * FROM registrodecuentas WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Proveedor'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarp(){
	$sql="SELECT * FROM registrodecuentas WHERE tipo_persona='Proveedor'";
	return ejecutarConsulta($sql);
}
public function listarc(){
	$sql="SELECT * FROM registrodecuentas WHERE tipo_persona='Cliente'";
	return ejecutarConsulta($sql);
}

public function listar($idbancocuenta1){
	//$sql="SELECT *,DATEDIFF(fecha,'1899-12-30') AS fechad FROM detallederegistrodecuentas WHERE idbancocuenta='$idbancocuenta1' ORDER BY fecha DESC, idregistrodecuentas DESC";
	//$sql="SELECT *,DATEDIFF(fecha,'1899-12-30') AS fechad,@a:=@a+1 AS contador FROM detallederegistrodecuentas JOIN (SELECT @a:= 0 as a) T WHERE idbancocuenta='$idbancocuenta1' ORDER BY fecha ASC, idregistrodecuentas ASC";
	//$sql="SELECT *,DATEDIFF(fecha,'1899-12-30') AS fechad,@a:=@a+1 AS contador FROM detallederegistrodecuentas2 JOIN (SELECT @a:= 0 as a) T WHERE idbancocuenta='$idbancocuenta1' ORDER BY fecha ASC, idregistrodecuentas ASC";
	$sql="SELECT *,DATEDIFF(fecha,'1899-12-30') AS fechad,@a:=@a+1 AS contador FROM detallederegistrodecuentaslo JOIN (SELECT @a:= 0 as a) T WHERE idbancocuenta='$idbancocuenta1' ORDER BY fecha ASC, idregistrodecuentas ASC";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function listaryear($idbancocuenta1){
	//$sql="SELECT *,DATEDIFF(fecha,'1899-12-30') AS fechad FROM detallederegistrodecuentas WHERE idbancocuenta='$idbancocuenta1' ORDER BY fecha DESC, idregistrodecuentas DESC";
	
	//Año en Curso
	//$sql="SELECT *,DATEDIFF(fecha,'1899-12-30') AS fechad,@a:=@a+1 AS contador FROM detallederegistrodecuentasyear JOIN (SELECT @a:= 0 as a) T WHERE idbancocuenta='$idbancocuenta1' ORDER BY fecha ASC, idregistrodecuentas ASC";
	
	//Ultimos 12 meses
	//$sql="SELECT *,DATEDIFF(fecha,'1899-12-30') AS fechad,@a:=@a+1 AS contador FROM detallederegistrodecuentasultimos12meses JOIN (SELECT @a:= 0 as a) T WHERE idbancocuenta='$idbancocuenta1' ORDER BY fecha ASC, idregistrodecuentas ASC";
	
	//Rango de fecha en estos momentos esta por 6 meses
	//$sql="SELECT *,DATEDIFF(fecha,'1899-12-30') AS fechad,@a:=@a+1 AS contador FROM detallederegistrodecuentasyear2 JOIN (SELECT @a:= 0 as a) T WHERE idbancocuenta='$idbancocuenta1'";
	//$sql="SELECT *,DATEDIFF(fecha,'1899-12-30') AS fechad,@a:=@a+1 AS contador FROM detallederegistrodecuentasyearlo JOIN (SELECT @a:= 0 as a) T WHERE idbancocuenta='$idbancocuenta1'";
	//$sql="SELECT *,DATEDIFF(fecha,'1899-12-30') AS fechad,@a:=@a+1 AS contador FROM detallederegistrodecuentasyear3s JOIN (SELECT @a:= 0 as a) T WHERE idbancocuenta='$idbancocuenta1'";
	$sql="SELECT *,DATEDIFF(fecha,'1899-12-30') AS fechad,@a:=@a+1 AS contador FROM detallederegistrodecuentasyear3s JOIN (SELECT @a:= 0 as a) T WHERE idbancocuenta='$idbancocuenta1' ORDER BY fecha ASC, idregistrodecuentas ASC;";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function select(){
	$sql="SELECT * FROM registrodecuentas WHERE estado='Disponible'";
	return ejecutarConsulta($sql);
}

public function saldo($idbancocuenta1){
	$sql="SELECT SUM(montob) as saldob, SUM(montod) as saldod FROM saldodecuentas WHERE idbancocuenta='$idbancocuenta1'";
//	return ejecutarConsulta($sql);
	return ejecutarConsultaSimpleFila($sql);
}

public function movimientosdeldia(){
	$sql="SELECT SUM(IF(tiporegistro='CARGO',montod*-1,montod)) AS movimientosdeldia FROM registrodecuentas WHERE fecha=CURDATE()";
	return ejecutarConsulta($sql);
}

public function movimientosdelmes(){
	$sql="SELECT SUM(IF(tiporegistro='CARGO',montod*-1,montod)) AS movimientosdelmes FROM registrodecuentas WHERE MONTH(fecha) = MONTH(CURRENT_DATE())";
	return ejecutarConsulta($sql);
}

public function listarct(){
	$sql="SELECT * FROM tarjeta WHERE condicion='1'";
	return ejecutarConsulta($sql);
}

public function cajachicaultimos10movimiento(){
	$sql="SELECT idregistrodecuentas,fecha,detalle,IF(tiporegistro='CARGO',montod*-1,montod) AS monto FROM registrodecuentas ORDER BY idregistrodecuentas DESC LIMIT 10";
	return ejecutarConsulta($sql);
}

}

 ?>
